# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.geo
Interface Box

All Superinterfaces:
  Extension

All Known Implementing Classes:
  GeoRssBox, GeoRssWhere, GmlEnvelope

    public interface Box

extends Extension

Interface for specifying a box that describes a rectangular geographic location. This is a bounding box described by two `Point` objects, the lower left coordinate and the upper right coordinate.

Method Summary
`Point` `getLowerLeft()`
`Point` `getUpperRight()`
`void` `setGeoLocation(Point lowerLeft, Point upperRight)` Sets the coordinates of this box.

Methods inherited from interface com.google.gdata.data.Extension
`generate, getHandler`

Method Detail

### getLowerLeft

    Point getLowerLeft()

  Returns:
    the point that represents the lower-left coordinate of the box.

### getUpperRight

    Point getUpperRight()

  Returns:
    the point that represents the upper-right coordinate of the box.

### setGeoLocation

    void setGeoLocation(Point lowerLeft,
                        Point upperRight)

  Sets the coordinates of this box. Both lowerLeft and upperRight must be non-null or both must be null. Implementations will throw an IllegalArgumentException if one is null and the other non-null.

  Parameters:
    `lowerLeft` - the lower left coordinate. The latitude of this point must be below the latitude of the upper right coordinate.
    `upperRight` - the upper right coordinate. The latitude of this point must be above the latitude of the lower left coordinate.
  Throws:
    `java.lang.IllegalArgumentException` - if only one of the points is non-null, or if an invalid pair of points is given.